/*  Board.hxx
 *
 *  Feringa is a chess game for the Palm Pilot based on OpenChess.
 *  Copyright (C) 2005, Manfred Joerg.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <PalmOS.h>

#define     NoSqSelected          -1

struct TsqSel {
  Int16   start;
  Int16   end;
};

#ifdef __cplusplus
   extern "C"
   {
#endif

extern void UpdateDisplay(short f, short t, short flag, short iscastle);
extern void InitBoard();
extern void ReleaseBoard();
extern void Copy2screen(Coord xs, Coord ys, Coord ex, Coord ey,
                 Coord xd, Coord yd, WinDrawOperation mode);
extern void UnselectPieces(void);
extern Boolean getsq(Int16 ScreenX, Int16 ScreenY, UInt16 *sq);
extern void DrawPiece(Int16 sq);
extern void DrawPieceOnly(const UInt8 uiColor, const UInt8 uiPiece, const UInt8 x, const UInt8 y);

#ifdef __cplusplus
   }
#endif

extern Boolean  bCoordinates;
extern short szSq;
extern short XOffPrgBkg;
extern short YOffPrgBkg;
extern short XOffPrgMtr;
extern short Prg;
extern short TitleHeight;
extern short Xprg;
extern short Yprg;
extern WinHandle DispWindowH;
extern struct TsqSel sqSel;

